Page MenuHomePhabricator

Double suggestion when searching on wikipedia with limit/offset
Closed, ResolvedPublic

Description

When I execute search using this URL:

https://en.wikipedia.org/w/index.php?title=Special:Search&limit=500&offset=31501&profile=default&search=google+art+project++

I get no results, but I get suggestions:

There is a page named "Google art project" on Wikipedia

There is a page named "Google art project" on Wikipedia

Yes, the suggestion is presented twice. I don't think it should be presented at all when limit/offset is present, certainly not twice.

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptOct 26 2016, 11:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.Oct 27 2016, 8:40 PM

I put up a fix, but not particularly happy with it. This whole class needs a big de-spaghettification. Unrelated to this task, but working in the planned UI improvements to Special:Search is probably going to be a giant pain.

Change 320295 had a related patch set uploaded (by EBernhardson):
[search] Don't show the create link twice on results page

https://gerrit.wikimedia.org/r/320295

Florian closed this task as Resolved.Nov 8 2016, 6:23 PM
Deskana reopened this task as Open.Nov 8 2016, 6:26 PM
Deskana added subscribers: Florian, Deskana.

@Florian Unless I'm missing something, this does not appear to be resolved yet. :-)

@Deskana: Why not? The change solves the problem described in the description or do I miss something? :o

Change 320295 merged by jenkins-bot:
[search] Don't show the create link twice on results page

https://gerrit.wikimedia.org/r/320295

Deskana closed this task as Resolved.Nov 8 2016, 6:39 PM

@Florian Oh, sorry, I didn't see that you'd give the patch a +2 since it wasn't mentioned here. Thanks. :-)

@Deskana: It'll be mentioned when jenkins merged the change, however, I mostly are faster and resolve the task before that happens :P